# IPublishedContent

*`IPublishedContent` is a strongly typed model for content, media and members and is used to render content in your views for your website.*

## Get started

To access the current page in your templates, copy-paste the below Razor code.

```csharp
@{
    var pageName = Model.Name;
    var childPages = Model.Children();
}

<h1>@pageName</h1>
```

## [Properties & Extension Methods](https://docs.umbraco.com/umbraco-cms/reference/querying/ipublishedcontent/properties)

Listing and explanation of IPublishedContent properties and standard helpers for Content and Media.

## [Collections & Filtering](https://docs.umbraco.com/umbraco-cms/reference/querying/ipublishedcontent/collections)

Methods for IPublishedContent collections and filtering.

## [IsHelpers](https://docs.umbraco.com/umbraco-cms/reference/querying/ipublishedcontent/ishelpers)

A library of extension methods to simplify working with IPublishedContent in collections to modify your HTML output. Examples of using `IsHelpers` could be injecting CSS classes for alternating rows or to modify margins.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.umbraco.com/umbraco-cms/reference/querying/ipublishedcontent.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
